description

# Transform class Null safety

Annotations
  - @Unstable()
  - @Native("SVGTransform")

## Properties

angle → num?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
matrix → Matrix?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → int?
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
setMatrix(Matrix matrix) → void
setRotate(num angle, num cx, num cy) → void
setScale(num sx, num sy) → void
setSkewX(num angle) → void
setSkewY(num angle) → void
setTranslate(num tx, num ty) → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

SVG_TRANSFORM_MATRIX → const int
  `1`
SVG_TRANSFORM_ROTATE → const int
  `4`
SVG_TRANSFORM_SCALE → const int
  `3`
SVG_TRANSFORM_SKEWX → const int
  `5`
SVG_TRANSFORM_SKEWY → const int
  `6`
SVG_TRANSFORM_TRANSLATE → const int
  `2`
SVG_TRANSFORM_UNKNOWN → const int
  `0`